Bug 446756 - other... is remarkably uninformative
other... is remarkably uninformative
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
9
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-15 17:40 EDT by Tom Horsley
Modified: 2015-01-14 18:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 14:01:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Horsley 2008-05-15 17:40:24 EDT
Description of problem:

If all my ordinary users are NIS, then the standard fedora 9 login
screen for gdm comes up with nothing on it except a label that
says "others...". That seems utterly meaningless - other than what?
There aren't other choices :-).

Version-Release number of selected component (if applicable):

gdm-2.22.0-1.fc9.x86_64

How reproducible:

always

Steps to Reproduce:
1. define no ordinary users
2. see login screen
  
Actual results:

cryptic login screen

Expected results:

How about, if the only choice is others, you just go ahead and put
the dadgum username field up so you can start typing (where does the
obsession to hide stuff that shouldn't be hidden come from? :-).

Additional info:
Comment 1 David Jansen 2008-05-16 08:04:28 EDT
Same here, but with LDAP in stead of NIS.
Also, in the previous version of gdm, I knew how to modify the theme it used for
the login screen, but there doesn't seem to be anything like these gdm themes in
the current version, so apart from patching the code, I don't know if the login
screen can be customized
Comment 2 Ray Strode [halfline] 2008-05-16 09:46:43 EDT
hmm, this should be working fairly well already.  Some time before release we
made it automatically select "Other..." field:

* Tue Apr 22 2008 Ray Strode <rstrode@redhat.com> - 1:2.21.10-0.2008.04.22.1
- Auto select "Other..." user if it's the only item in the list

So what's left is:
1) figure out why it's not working for some users
2) change the label from "Other..." to something better like "Enter Username..."
Comment 3 Tom Horsley 2008-05-19 17:41:44 EDT
Of course, if you do auto-select other, then, as near as I can tell, the
restart and shutdown buttons will be inaccessible from the gdm screen :-).
Comment 4 David Jansen 2008-05-20 08:08:40 EDT
I noticed, if other is selected automatically, and I click on "cancel", it shows
me the right screen, with the recently logged in users, and suddenly "Other" is
a very reasonable text for the label.
So it looks like "Other" is autoselected even if it is not the only item on the list
Comment 5 Bug Zapper 2009-06-09 20:52:31 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-07-14 14:01:29 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.